# TODO: setup firefox for ed2k links using triggers and a file in /usr/lib/firefox-3.0.1/defaults/preferences/
#global _hardened_build 1

#globals for https://github.com/amule-project/amule/commit/20afd75fa0d7befb1e9e29af91f22b7df58cfa1a
#global commit1 20afd75fa0d7befb1e9e29af91f22b7df58cfa1a
#global shortcommit1 %%(c=%%{commit1}; echo ${c:0:7})

Name:           amule
Version:        2.3.2
Release:        %mkrel 2
Summary:        File sharing client compatible with eDonkey
License:        GPLv2+
Source0:        https://github.com/amule-project/amule/archive/%{version}/%{name}-%{version}.tar.xz
Patch1:         https://github.com/amule-project/amule/pull/120.patch
URL:            http://amule.org
Group:          Networking/File transfer
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network. It is a fork of xMule, whis was based on eMule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.


%prep
%setup -q
%apply_patches

%build
./autogen.sh
./configure --prefix=/usr \
    --disable-rpath \
    --disable-debug \
    --enable-wxcas \
    --enable-cas \
    --enable-alc \
    --enable-alcc \
    --enable-amule-daemon \
    --enable-amulecmd \
    --enable-webserver \
    --enable-amule-daemon \
    --enable-geoip \
    --enable-ccache \
    --enable-amule-gui \
    --enable-optimize \
    --enable-nls \
    --with-denoise-level=0

%make_build


%install
%make_install

%find_lang %{name}

# desktop files
desktop-file-install --vendor "" \
                     --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     --add-category Network\
                     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor "" \
                     --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     $RPM_BUILD_ROOT%{_datadir}/applications/alc.desktop

desktop-file-install --vendor "" \
                     --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     $RPM_BUILD_ROOT%{_datadir}/applications/wxcas.desktop

desktop-file-install --vendor "" \
                     --delete-original\
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     --add-category Network\
                     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}gui.desktop

# clean-up INSTALL file in doc
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/INSTALL
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/COPYING



%files -f %{name}.lang
%{_docdir}/%{name}
%{_bindir}/alc
%{_bindir}/amule
%{_bindir}/cas
%{_bindir}/wxcas
%{_bindir}/amulegui
%{_datadir}/%{name}
%{_datadir}/cas
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}
%{_bindir}/alcc
%{_bindir}/amulecmd
%{_bindir}/amuled
%{_bindir}/amuleweb
%{_bindir}/ed2k
%{_datadir}/%{name}/webserver

%changelog
* Sun Oct 06 2019 tex - 2.3.2-2pclos2019
- rebuild against updates

* Thu Sep 26 2019 tex 0 2.3.2-1pclos2019
- create
